﻿namespace Parsing.Schema;

public class RepetitionSchemaBuilder : InputSchemaBuilder
{
    public RepetitionSchemaBuilder(InputSchemaBuilder upperLayerBuilder)
    {
        this.UpperLayerBuilder = upperLayerBuilder;
    }

    public InputSchemaBuilder UpperLayerBuilder { get; set; }

    public int NumRepetition { get; set; }

    public RepetitionType RepetitionType { get; set; }
}
