namespace Parsing.Schema.BuildingBlocks;

using Parsing.Tokenization;

class StringBlock : BuildingBlockBase
{

    public StringBlock()
    {
    }

    public override IToken ParseWord(InputProvider inputs)
    {
        return new StringToken(inputs.YieldWord());
    }

    public override bool CanParseWord(InputProvider inputs)
    {
        return true;
    }

    public override BlockType GetBlockType()
    {
        return BlockType.String;
    }
}